## ros-kinetic-rosunit 1.14.6

=== debian/changelog ===
ros-kinetic-rosunit (1.14.6-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Mar 2019 07:00:00 -0000

ros-kinetic-rosunit (1.14.5-1xenial) xenial; urgency=high

  * add Python executable to ROSUNIT_EXE so it runs correctly on Windows (#200 <https://github.com/ros/ros/issues/200>)
  * rosunit Python 3 support (#190 <https://github.com/ros/ros/issues/190>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Mar 2019 08:00:00 -0000

ros-kinetic-rosunit (1.14.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 01 May 2018 07:00:00 -0000

ros-kinetic-rosunit (1.14.3-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 30 Jan 2018 08:00:00 -0000

ros-kinetic-rosunit (1.14.2-1xenial) xenial; urgency=high

  * use python constants rather than hardcoded integers for error codes (#153 <https://github.com/ros/ros/issues/153>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 26 Oct 2017 07:00:00 -0000

ros-kinetic-rosunit (1.14.1-1xenial) xenial; urgency=high

  * fix syntax of unicode raw string in Python 3 (#150 <https://github.com/ros/ros/pull/150>)
  * ensure cwd exists (#143 <https://github.com/ros/ros/pull/143>)
  * more searchable testcase result message (#139 <https://github.com/ros/ros/pull/139>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-kinetic-rosunit (1.14.0-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-kinetic-rosunit (1.13.6-1xenial) xenial; urgency=high

  * use python constants rather than hardcoded integers for error codes (#153 <https://github.com/ros/ros/issues/153>)
  * fix syntax of unicode raw string in Python 3 (#150 <https://github.com/ros/ros/pull/150>)
  * ensure cwd exists (#143 <https://github.com/ros/ros/pull/143>)
  * more searchable testcase result message (#139 <https://github.com/ros/ros/pull/139>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 31 Oct 2017 07:00:00 -0000

ros-kinetic-rosunit (1.13.5-1xenial) xenial; urgency=high

  * improve error message when creating test directory fails (#134 <https://github.com/ros/ros/pull/134>)
  * fix race condition creating folder (#130 <https://github.com/ros/ros/pull/130>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Feb 2017 08:00:00 -0000

ros-kinetic-rosunit (1.13.4-1xenial) xenial; urgency=high

  * fix test type handling (#123 <https://github.com/ros/ros/issues/123>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-rosunit (1.13.3-1xenial) xenial; urgency=high

  * allow custom class_name, testcase_name in test_xx_junit_xml (#119 <https://github.com/ros/ros/issues/119>)
  * fix check of test type (#121 <https://github.com/ros/ros/issues/121>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Sep 2016 07:00:00 -0000

ros-kinetic-rosunit (1.13.2-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Sep 2016 07:00:00 -0000

ros-kinetic-rosunit (1.13.1-1xenial) xenial; urgency=high

  * fix a regression in XML reports introduced in 1.12.6 (#109 <https://github.com/ros/ros/pull/109>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Mar 2016 08:00:00 -0000

ros-kinetic-rosunit (1.13.0-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Mar 2016 08:00:00 -0000

ros-kinetic-rosunit (1.12.6-1xenial) xenial; urgency=high

  * remove invalid characters from XML unit test results (#89 <https://github.com/ros/ros/pull/89>, #108 <https://github.com/ros/ros/pull/108>)
  * add ability to load tests using dotnames in rosunit (#101 <https://github.com/ros/ros/issues/101>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Mar 2016 08:00:00 -0000

ros-kinetic-rosunit (1.12.5-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-kinetic-rosunit (1.12.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 12 Oct 2015 07:00:00 -0000

ros-kinetic-rosunit (1.12.3-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-kinetic-rosunit (1.12.2-1xenial) xenial; urgency=high

  * allow custom environment when determining test results location (#82 <https://github.com/ros/ros/pull/82>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-kinetic-rosunit (1.12.1-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-kinetic-rosunit (1.12.0-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 26 Dec 2014 08:00:00 -0000

ros-kinetic-rosunit (1.11.6-1xenial) xenial; urgency=high

  * fix OSError handling (#69 <https://github.com/ros/ros/pull/69>, regression since 1.11.1)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-kinetic-rosunit (1.11.5-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-kinetic-rosunit (1.11.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Jul 2014 07:00:00 -0000

ros-kinetic-rosunit (1.11.3-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-kinetic-rosunit (1.11.2-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 07:00:00 -0000

ros-kinetic-rosunit (1.11.1-1xenial) xenial; urgency=high

  * use catkin_install_python() to install Python scripts (#46 <https://github.com/ros/ros/issues/46>)
  * python 3 compatibility

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-kinetic-rosunit (1.11.0-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 31 Jan 2014 08:00:00 -0000


